Bug 16230 - RFE:Sanity check that required partitions are defined in kickstart file
Summary: RFE:Sanity check that required partitions are defined in kickstart file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-15 14:04 UTC by Michael Redinger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 03:13:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda traceback (195.27 KB, text/plain)
2000-08-15 14:05 UTC, Michael Redinger
no flags Details
kickstart file used (9.01 KB, text/plain)
2000-08-15 14:06 UTC, Michael Redinger
no flags Details

Description Michael Redinger 2000-08-15 14:04:29 UTC
I installed a RC1 system (NFS), generated (and adopted) the kickstart file,
started the kickstart and got a nice traceback ... see attachment.

Comment 1 Michael Redinger 2000-08-15 14:05:19 UTC
Created attachment 2497 [details]
Anaconda traceback

Comment 2 Michael Redinger 2000-08-15 14:06:56 UTC
Created attachment 2498 [details]
kickstart file used

Comment 3 Michael Redinger 2000-08-15 14:40:03 UTC
Ok, this is done if you do not specify "part" at least for / ... should have
read the kickstart docs/file better ...

Anyway, it's a bug that could be checked. 

Changing the priority to low as hopefully not everybody does that stupid things
...


Comment 4 Michael Fulbright 2000-08-15 22:37:35 UTC
Agreed we need to sanity check the ks file better - moving to a feature request
which we are deferring for now.

Comment 5 Michael Fulbright 2000-09-26 16:09:36 UTC
Moving to RESOVLED - DEFERRED from CLOSED - DEFERRED

Comment 6 Michael Fulbright 2000-09-26 16:55:19 UTC
Moving to RESOVLED - DEFERRED from CLOSED - DEFERRED

Comment 7 Jeremy Katz 2001-07-20 21:07:42 UTC
internal tree now raises an error if you try to install without specifying a /


Note You need to log in before you can comment on or make changes to this bug.